RASVBX Control

Properties	Events

Description

The RASVBX control allows you to programmatically dial a Remote Access Server.  You set the username, password, and phone number, and RASVBX establishes the network connection for you.  An information dialog automatically appears keeping the user notified of the connection status.

File Name

RASVBX.VBX

Object Type

RASVBX

Distribution Note

When you create and distribute applications that use the RASVBX control, you should install the file RASVBX.VBX into the users Windows\System directory.  Cutting Edge Consulting, Inc. can provide you with a setup building tool which can create a powerful and flexible setup program to help distribute your application properly.

RASVBX version 1.00.

Copyright © 1994 Cutting Edge Consulting, Inc.

All Rights Reserved.

317 Bennington Hills

W. Henrietta, NY  14586


RASVBX Properties
Properties

All of the properties for the RASVBX control are listed in the following table.  Properties that apply only to this control are marked with an asterisk (*).  For documentation on the remaining properties, see Appendix A, Standard Properties, Events, and Methods in the Custom Control Reference.

*Action

*CallbackNumber

*ConnectState

*Domain

*Entries

*EntryCount

*EntryName

Index

Left

Parent

*Password

*PhoneBook

*PhoneNumber

Tag

Top

*UserName


RASVBX Events
Events

Connect

Disconnect


Action Property
Action Property (RASVBX Control)

Applies To

RASVBX Control

Description

Specifies whether to dial or hang up.  Not available at design time and write-only at run time.

Usage

[form.]RASVBX.Action = setting

Remarks

The Action property settings are:

Setting	Action

1	Dial

2	Hang Up

An information dialog is displayed at run-time when the Action property is set to a valid value.  This dialog keeps the end-user notified of the connection status during the connection attempt.

Data Type

Integer (Enumerated)


CallbackNumber Property
CallbackNumber Property (RASVBX Control)

Applies To

RASVBX Control

Description

Specifies the callback number for the Remote Access Server.  If the user has callback priviledges, then setting this number causes the Remote Access Server to call the user back at the number specified.  If this property is left empty, then no callback information is sent.

Usage

[form.]RASVBX.CallbackNumber [ = telephone number]

Remarks

A string specifying a callback phone number.  An empty string indicates that callback should not be used. This string is ignored unless the user has "Set By Caller" callback permission on the Remote Access server. The special value "*" indicates that the number stored in the Phone Book should be used for callback.  If the server resides in an establishment that requires a nine (9) to be pressed before outside numbers can be reached, then the property must be prefixed with a nine (9).  Commas are used to denote a pause.

Data Type

String


Domain Property
Domain Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying the NT domain on which authentication is to occur.  If left empty, this property specifies the domain in which the Remote Access server is a member.  As asterisk (*) specifies the domain stored in the Phone Book for the entry.

Usage

[form.]RASVBX.Domain [ = string expression]

Data Type

String


Entries Property
Entries Property (RASVBX Control)

Applies To

RASVBX Control

Description

An array of strings that are the entry names as entered in an Entry Name field in RASPHONE.EXE.  This property is not available at design time and is read-only at run time.

Usage

[form.]RASVBX.Entries(index)

Remarks

Use this property to access the entries in the users phone book.  RASVBX will list all the entries in the phone book specified by the PhoneBook property.  Valid indexes are from zero (0) to EntryCount - 1.

Data Type

String array


EntryCount Property
EntryCount Property (RASVBX Control)

Applies To

RASVBX Control

Description

Specifies the number of Entries in the phone book specified by the PhoneBook property.  Not available at design time and read-only at run time.

Usage

[form.]RASVBX.EntryCount

Data Type

Integer


EntryName Property
EntryName Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying an entry in the phone book specified by the PhoneBook property.  Setting this property causes RASVBX to use the data in RASPHONE.EXE specified by the entry given.  If RASVBX cannot find the entry, an error occurs.

Usage

[form.]RASVBX.EntryName [ = string expression]

Data Type

String


Password Property
Password Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying the user's NT or LAN Manager password.  This string is used to authenticate the user's access to the Remote Access server.  Passwords are case sensitive.

Usage

[form.]RASVBX.Password [ = string expression]

Remarks

If both the UserName and the Password properties are left empty, RASVBX uses the username and password of the currently logged-on user for authentication.

Data Type

String


Phone Number Property
PhoneNumber Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying an overriding phone number.  An empty string indicates that the Phone Book entry's phone number should be used.  If the EntryName property is left empty, the PhoneNumber property cannot be empty.

Usage

[form.]RASVBX.PhoneNumber [ = string expression]

Data Type

String


PhoneBook Property
PhoneBook Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying the full path to the Phone Book file. This parameter should usually be left so that the default Phone Book is used.

Usage

[form.]RASVBX.PhoneBook [ = string expression]

Data Type

String


ConnectState Property
ConnectState Property (RASVBX Control)

Applies To

RASVBX Control

Description

Describes the state of the current connection.  Not available at design time and read-only at run time.

Usage

[form.]RASVBX.ConnectState

Remarks

The State property values are:

Value	Description

0	Disconnected

1	Connected

2	Processing Connection

3	Paused

Data Type

Integer (Enumerated)


UserName Property
UserName Property (RASVBX Control)

Applies To

RASVBX Control

Description

A string specifying the user's NT or LAN Manager username.  This string is used to authenticate the user's access to the Remote Access server.

Usage

[form.]RASVBX.UserName [ = string expression]

Remarks

If both the UserName and the Password properties are left empty, RASVBX uses the username and password of the currently logged-on user for authentication.

Data Type

String


Connect Event
Connect Event (RASVBX Control)

Applies To

RASVBX Control

Description

Indicates that a connection with a Remote Access server has just been established.

Syntax

Sub ctlname_Connect(Index As Integer)

Remarks

The argument Index.uniquely identifies the control if it is in a control array.


Disconnect Event
Disconnect Event (RASVBX Control)

Applies To

RASVBX Control

Description

Indicates that a connection with a Remote Access server has just been dropped.

Syntax

Sub ctlname_Disconnect(Index As Integer)

Remarks

The argument Index.uniquely identifies the control if it is in a control array.